Subject: Re: [PATCH 12/19] PCI: rpaphp: remove rpaphp_set_attention_status()

From: [email-masked] (Linas Vepstas)
Date: Tue, 3 Apr 2007 11:45:38 -0500

On Tue, Apr 03, 2007 at 11:19:38AM -0500, Nathan Lynch wrote:
> Linas Vepstas wrote:
> 
> You're changing the locking behavior here -- you've moved the
> rtas_set_indicator and the modification of
> hotplug_slot->info->attention_status outside of the code which holds
> rpaphp_sem.
> 
> P.S.  Should rpaphp_sem be changed to a mutex?

In patch 19, I remove the lock entirely. It doesn't seem to serve any
function that I could make out; it does not protect anything in the rpa
code, nor does it appear to be mandated by the hotplug code. Certainly,
none of the other hotplug drivers do this.  

--linas